petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscPartitionerSetFromOptions

sets parameters in a PetscPartitioner from the options database

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerSetFromOptions(PetscPartitioner part)

Collective on part

### Input Parameter

part -the PetscPartitioner object to set options for

### See Also

PetscPartitionerView()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c

### Examples

src/dm/impls/plex/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html

### Implementations

PetscPartitionerSetFromOptions_MatPartitioning in src/dm/impls/plex/petscpartmatpart.c
PetscPartitionerSetFromOptions_Shell in src/dm/impls/plex/plexpartition.c
PetscPartitionerSetFromOptions_ParMetis in src/dm/impls/plex/plexpartition.c
PetscPartitionerSetFromOptions_PTScotch in src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages